cancel
Showing results for 
Search instead for 
Did you mean: 

Best way to upgrade 1.9.2.4 to latest 1.9.x branch

Best way to upgrade 1.9.2.4 to latest 1.9.x branch

What is the best way to upgrade 1.9.2.4 to the latest version of the 1.9.x branch?

 

I have heard that using Magento Connect to do the upgrade is very dangerous, where upgrading manually (unpacking the latest version, then copying your folders into it is safer.)

 

I ask you all, the experts, which way is better?  (If the manual way is safer, what are the folders that I need to copy over?  Is there a how-to documented?)

 

Thanks!
Drew

5 REPLIES

Re: Best way to upgrade 1.9.2.4 to latest 1.9.x branch

Hi @dcomo,

 

You have two options:

 

1) Apply all patches to your Magento 1.9.2.4 (and you'll be with the latest version).

2) Override manually all core files. 1.9.3.4 includes all patches.

 

There's a third option with Composer but isn't used by most ot the stores on Magento1 so I guess you should choose between the first two options.

 

Remember to make a backup before an upgrade.

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"

Re: Best way to upgrade 1.9.2.4 to latest 1.9.x branch

Hello @dcomo

You can either upgrade Mage_All from Magentoconnect and that should help, or you can manually copy all the Magento 1.9.3.6 Magento files to the root of your Magento.

 

Re: Best way to upgrade 1.9.2.4 to latest 1.9.x branch

@MageMod_Ext, is MagentoCOnnect still working for upgrades? (since last friday, Septembre 15th, was closed)

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"

Re: Best way to upgrade 1.9.2.4 to latest 1.9.x branch

As far as I know, 1.9.2.4 is quite outdated version and I'm not even sure enough whether the official Magento Data Migration Tool supports such kind of transfers. In your case, you may try this tool: https://goo.gl/ucDCEr

Re: Best way to upgrade 1.9.2.4 to latest 1.9.x branch

These are the supported versions for the Data MIgration Tool:

 

  • Community Edition (CE) version 1.6.x, 1.7.x, 1.8.x, 1.9.x
  • Enterprise Edition (EE) version 1.11.x, 1.12.x, 1.13.x, 1.14.x

Also the following versions are already supported if you choose to migrate from Magento 1 CE to Magento 2 EE:

  • 1.6.x, 1.7.x, 1.8.x, 1.9.x

 

Source: https://github.com/magento/data-migration-tool

 

But in this case isn't necessary. You can override core files (if you didn't change it) or you can apply patches.

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"